﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
	public class StyleSelector : Telerik.Windows.Controls.StyleSelector
	{
		public Style NormalStyle { get; set; }
		public Style ButtonlessStyle { get; set; }

		public override Style SelectStyle(object item, DependencyObject container)
		{
			var myItem = item as MyItem;
			if (myItem != null && myItem.Id % 2 == 0)
				return this.ButtonlessStyle;

			return this.NormalStyle;
		}
	}
}
